blt (2.5.3+dfsg-4.1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:38 +0200

blt (2.5.3+dfsg-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Dec 2020 19:59:32 +0100

blt (2.5.3+dfsg-4) unstable; urgency=medium

  * Rebuild to restore binary compatibility with the current Tcl/Tk 8.6
    (closes: #888818).
  * Bump the debhelper compatibility level to 10.
  * Remove usage of autotools-dev and dh_autoreconf since they aren't
    necessary for debhelper compatibility level 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jan 2018 11:57:16 +0300

blt (2.5.3+dfsg-3) unstable; urgency=medium

  * Added the autotools-dev build dependency to replace the outdated
    config.guess and config.sub by newer ones.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 13:41:51 +0300

blt (2.5.3+dfsg-2) unstable; urgency=medium

  * Fixed the distclean target in Makefile.in which fixes FTBFS when build
    twice in a row (closes: #791601).
  * Fixed the override_dh_installdoc target in debian/rules to fix FTBFS
    when dpkg-buildpackage -A is called for building the architecture-
    independent packages only (closes: #805999).
  * debian/patches/autoreconf.patch: fix autotools input for
    compatibility with recent autoconf.  Thanks to Helmut Grohne
    <helmut@subdivi.de> and Steve Langasek <vorlon@debian.org>
    (closes: #772590).
  * debian/patches/pkgindex.patch: correct this patch to patch the
    configure.in source, not the generated configure script.
  * debian/patches/install.patch: fix the distclean targets.
  * debian/patches/*: remove patching of autogenerated configure
  * Drop debian/rules override_dh_clean target, which gets it wrong.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 11:28:10 +0300

blt (2.5.3+dfsg-1) unstable; urgency=medium

  * Removed non-distributable files library/dd_protocols/* from the source
    package (closes: #769814).
  * Split out the tk8.6-blt2.5 package to reflect the changed library soname.
    The 8.6 suffix is added because this package works only with Tcl/Tk 8.6.
    Added breaks header with all packages dependent on blt which included
    the previous library soname. This prevents partial upgrades
    (closes: #751767).
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Nov 2014 17:10:39 +0300

blt (2.5.3-4) unstable; urgency=medium

  * Made blt-dev replace blt (<< 2.5) because the doc-base file is moved to
    the former package from the latter.
  * Added patch which fixes BLT stubs declaration.
  * Added a few patches which eliminate GCC warnings about incompatible
    pointer types, using possibly unitialized variables, unused variables
    and casts to/from pointer from/to integer of different size. This
    fixes a few segfaults in demos (but not all of them).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Jul 2014 19:26:06 +0400

blt (2.5.3-3) unstable; urgency=medium

  * Added missing headers to bltNsUtil.c to fix build failures on 64bit
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Jul 2014 07:30:06 +0400

blt (2.5.3-2) unstable; urgency=medium

  * Restored forgotten call to dh_autotools-dev_updateconfig and explicitly
    supplied --host option to the configure call to build the package on
    kfreebsd-* architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 15:54:47 +0400

blt (2.5.3-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #664092).
  * New upstream and new upstream release.
  * Reviewed and refreshed patches.
  * Added a patch from the FreeBSD BLT port. It allows BLT to work when it's
    built with Tcl/Tk 8.6 (closes: #753476).
  * Moved HTML documentation from blt to blt-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 09:35:12 +0400

blt (2.4z-9) unstable; urgency=high

  * QA upload.
  * Build using Tcl/Tk 8.6.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jun 2014 13:21:11 +0200

blt (2.4z-8) unstable; urgency=low

  * QA upload.
  * Fixed build with newer Tcl/Tk package which switched from shlibs to
    symbols. (Closes: #724882)

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Apr 2014 13:10:50 +0400

blt (2.4z-7) unstable; urgency=low

  * QA upload.
  * Rename man-n-2.diff to doc-typos.diff.
  * Move man page fixes from 02-debian-all.diff into doc-typos.diff.
  * Remove autotools update from 02-debian-all.diff, they are now handled
    automatically by dh_autotools-dev helpers.
  * Namespace extremely generic man page names with «blt::».
    (Closes: #721386, #722660)
  * Rename BLT.3 to blt::intro.3 to match the .TH entry.
  * Do not run «make distclean» on the build target, that's the job of the
    clean target.
  * Remove redundant binary package Sections inherited from the source stanza.
  * Annotate hardening.diff, stating why the patch is wrong, and how it
    should be fixed.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Sep 2013 17:59:47 +0200

blt (2.4z-6) unstable; urgency=low

  * QA upload, orphan the package.

  [ Paul E. Johnson ]
  * Fix zooming (Closes: #524149)
  * Fix crash in wish (Closes: #636629)
  * Version 2.4z-6 introduces quilt-3.0 patches.
  * Changes in control and rules file to silence lintian warnings.
  * 02-debian-all.diff includes all of the changes that were applied
    to the source code by previous packager. Almost all of the changes
    are corrections in spelling in the blt documentation and examples.
  * Apply 3 changes based on revisions developed by the fedora linux team.
    + 03-fedora-patch-2.diff
    + 04-fedora-tk8.5.6.patch.diff
    + 05-tk8.5-zoomstack.diff
   * Those patches are required to solve segmentation faults that are observed
    when blt is used with tcltk 8.5. We have a substantial amount of
    experience using this patched version of blt in the Swarm
    Simulation System (www.swarm.org) and have observed no ill-effects.
   * new patches for man page cleanups to silence lintian warningss.
   * patch configure according to Debian hardening policy.

  [ Georges Khaznadar ]
  * changed the source format to 3.0 (quilt)
  * modified every diff file in debian/patches to comply with the
    build tools
  * checked that the package is built successfully
  * modified Standards-Version -> 3.9.4, comptaibility level -> 9
  * added a build-depedency on quilt and ${misc:Depends} clauses
  * changed the build-depedency on debhelper (now: >= 9)
  * set the urgency flag to low (normal is not allowed)
  * removed the leading article in blt-dev's and blt-demo's description lines

  [ Matthias Klose ]
  * Allow to build using Tcl/Tk 8.5 installed in a multiarch location.
  * Stop building for Tk 8.4.
  * Allow parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2013 11:13:17 +0200

blt (2.4z-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add tcl8.5 check in library/pkgIndex.tcl.in. (Closes: #525860).
    + Thanks to Bill Metzenthen for the fix.
  * Update config.sub,config.guess files. (Closes: #536409).
  * Fix section and typo in blt.doc-base.
  * Move Homepage from package descriptions to source stanza.
  * Make clean not ignore errors.
  * Replace deprecated ${Source-Version} with ${binary:Version}.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 04 Dec 2009 09:28:09 -0500

blt (2.4z-4.1) unstable; urgency=low

  * NMU (needed to build python-tk against tk8.5).
  * Based on the patch made in Ubuntu:
    - Build for tk8.5, drop the tk8.3 build, still keep the build for
      tk8.4. Closes: #473006.
    - debian/control: Drop {tcl,tk}8.3 dependencies, add {tcl,tk}8.5
      dependencies.
    - debian/rules: Do not build the library for Tcl 8.3.
    - debian/hackshlibs: Do not try to mangle 8.3 libraries.
    - Apply patch from Fedora to build with tk8.5.
  * In dh_makeshlibs bump the version to 2.4z-4.1, first version providing
    tk8.5 libs.
  * Fix typos in hiertable and treeview man pages. Closes: #350362, #350363.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 17:00:25 +0100

blt (2.4z-4) unstable; urgency=low

  * Remove dependencies (and build-dependencies) on now-obsolete tcl/tk
    8.0 packages.
  * Added new. up-to-date config.{sub,guess} files (closes: #342393).
  * Added a README.Debian file, and mentioned the lack of "bltwish" (and
    how to cope) in there (closes: #304805).
  * Fixed numerous typos in the man pages, as found and reported by A
    Costa (closes: #310361, #310362, #310363, #310364, #310366, #310367),
    (closes: #310369, #310370, #310372, #310374, #310377, #326522).  Also
    fixed the corresponding typos in the HTML docs.

 -- Chris Waters <xtifr@debian.org>  Sat, 28 Jan 2006 18:20:07 -0800

blt (2.4z-3) unstable; urgency=low

  * Tighten up -dev package dependency on blt, for extra safety in
    future.
  * Added -D_REENTRANT to CFLAGS for that extra, tasty bit of policy
    compliance.
  * Completely rewrote the package descriptions; they are now shorter,
    more descriptive, and contain far fewer grammar and spelling errors,
    (closes: #204553).
  * Moved the man pages and HTML docs for the BLT commands from the
    blt-dev package to the blt package, where they really belong.  Left
    just the man pages for the BLT C API calls in the blt-dev package.
    Renamed the command man pages to have the extension .3blt (I wanted to
    use .3tcl, but that caused a conflict with the tcllib package).
  * Wrote a handy, but very hackish, script to generate a shlibs.local
    file with the very special dependencies needed by blt.  Among other
    things, the script puts tcl8.4 first on the list of tcl alternatives.
    The script also generates tk dependencies, in the same way, so blt
    finally depends on tk8.x, as it really should have all along
    (closes: #257571, #257572).
  * Changed the blt-demo package to Arch: all, as it only contains scripts
    and images.  Also moved all the scripts to /usr/share so I no longer
    need symlinks to the image directories which had previously been
    moved to /usr/share.
  * Removed the blt-common package, as it's no longer needed.  There's
    only the one BLT package left since blt8.0 was removed.
  * Switched to using the handy $INSTALL_ROOT variable provided by the
    upstream makefiles, which made things much simpler, but required some
    tiny patching in Makefile.in and library/Makefile.in.
  * Did some cleanup of debian/*, removing old, unused cruft.

 -- Chris Waters <xtifr@debian.org>  Thu,  8 Jul 2004 18:02:53 -0700

blt (2.4z-2) unstable; urgency=low

  * Added build-conflicts with tk8.0-dev (closes: #195868).

 -- Chris Waters <xtifr@debian.org>  Fri,  6 Jun 2003 01:42:59 -0700

blt (2.4z-1) unstable; urgency=low

  * New maintainer (closes: #162857).
  * Stripped out support for obsolete 8.2 version of tcl/tk.
  * Moved (most) images to /usr/share to satisfy lintian.
  * Moved treeview bitmaps to blt-common where they can be a little more
    useful (closes: #191646).  Added appropriate conflicts.

 -- Chris Waters <xtifr@debian.org>  Mon, 12 May 2003 23:28:58 -0700

blt (2.4z-0.3) unstable; urgency=low

  * Install bltPool.h, bltList.h and bltBind.h (closes: #185855).

 -- Stefan Schimanski <schimmi@debian.org>  Wed,  2 Apr 2003 16:23:54 +0200

blt (2.4z-0.2) unstable; urgency=low

  * src/bltTree.c: define START_LOGSIZE and MAX_LIST_VALUES for
    64bit architectures (closes: #169559). Thanks to Chris Chimelis.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Nov 2002 20:38:50 +0100

blt (2.4z-0.1) unstable; urgency=low

  * NMU for orphaned package.
  * Change maintainer to Debian QA.
  * Drop blt8.0 package.
  * Add support for tk8.4.
  * debian/copyright: Correct URL (closes: #162549).
  * Install bltHash.h header (closes: #161051).

 -- Matthias Klose <doko@debian.org>  Sun, 17 Nov 2002 10:21:48 +0100

blt (2.4y-1) unstable; urgency=low

  * New upstream version.
      o I do not actually use blt, but I used to and my rather small testset
        seems to work on this package. Happy to receive testing feedback.
      o stubs still not supported upstream
      o dynamic libraries do not have the full dependencies (fixed). Hope I
        understood shared library dependencies correctly and it is the upstream
        maintainer who is wrong rather than me!
      o still use DEBIAN code to support different tcl/tk combinations of
        run-time conditions.
      o still some lintian problems initially with rpath and executables
        (fixed in package).
      o lintian complains that the shlib control file has duplicate
        entries, even though the major numbers are different. For simplicity
        I only show the 8.3 linkages to make lintian happy, but this is
        probably the wrong solution, and is probably a lintian error. But
        to be honest I never understood shlib control function so I do not
        know if I am right or not. If you are having problems with this part
        of blt let me know.
    (closes: #150425)
  * Move the doc-base entries to Apps/Programming, as per the
    advice of Ben Burton <benb@acm.org>
    (closes: #112351)
  * Fails to build on the HURD.
    Somehow I never noticed this email until now, so sorry for the delay
    Anyway, the patch is now added - hope this works out for all the HURD
    users.
    (closes: #143349)
  * A problem with vectors was reported as a bug. Happily this problem does
    not occur with this latest version of BLT.
    (closes: #133569)

 -- Gordon Russell <gor@debian.org>  Sun, 23 Jun 2002 17:02:07 +0100

blt (2.4u-7) unstable; urgency=low

  * Problem reported in the shlibs file. I had created this file by hand due
    to problems which existed somewhere but are now long forgotten. I have
    changed the mechanism back to the dh_ approach.
    (closes: #131356)
  * For no strong reason I have removed the circular dependencies from the
    control file. You man now install blt-common on its own if you wish.
    (closes: #128413)
  * Added blt8.0 to the conflicts line of blt, even though blt provides
    blt8.0. I am sure I had this originally but this was against the policy.
    Hope it is ok this time.
    (closes: #132761)
  * Lintian fixes: fixed config/ldconfig issue, removed emacs settings from
    changelog file, removed duplicate relation in blt-dev control. Lintian
    still reports problems with shlibs file. I hope I have got it right this
    time.

 -- Gordon Russell <gor@debian.org>  Tue, 29 Jan 2002 10:18:48 +0000

blt (2.4u-6) unstable; urgency=low

  * Complain that in strict interpretation of the policy document could
    mean that the priority of the package should be extra rather than optional.
    Thus the package is now "extra".
    (closes: #110117)

 -- Gordon Russell <gor@pc236b.dcs.napier.ac.uk>  Mon,  3 Sep 2001 12:45:31 +0100

blt (2.4u-5) unstable; urgency=high

  * Build failure on hppa (at least) -
    This failure was caused by problems in using autoconf, namely the updating
    of config.sub and config.guess. I have added in a build dependency
    for autotools-dev which should solve this problem, and a change to make
    use of this in the rules file.
    Other architectures should not notice any changes.
    (closes: #104637)

 -- Gordon Russell <gor@debian.org>  Tue,  7 Aug 2001 13:13:30 +0100

blt (2.4u-4) unstable; urgency=high

  * The new version of debhelper now considers substvars to be an "internal"
    file, even though it is mentioned explicitly in the man pages for the
    command. Rather than reassign this to debhelper and get into a discusion
    concerning backward compatibility, I have engineered a work-around for the
    problem completely avoiding substvars, but instead accessing the
    DEBIAN/control file directly. It seems to work... and in fact was probably
    a good thing as I detected an error in the dependencies while poking around
    in the control file which is also fixed as a side-effect. Of course what
    I am doing is probably a Bad Thing (TM) anyway, but until I am caught...
    (closes: #100831)

 -- Gordon Russell <gor@debian.org>  Mon, 18 Jun 2001 17:14:25 +0100

blt (2.4u-3) unstable; urgency=low

  * Apparently dpkg/apt dies on some spaces in the dependency list for the
    package. Bugs have been reported but I understand the BTS is down at
    them moment...
    closes - Peter Davis, Olivier Thereaux

 -- Gordon Russell <gor@debian.org>  Wed,  6 Jun 2001 13:49:26 +0100

blt (2.4u-2) unstable; urgency=low

  * Forgot to include bltVector.h, bltTree.h, and bltChain.h.
    (closes: #92081)
  * Forgot ALL the include files in blt8.0-dev.
  * Remove configure.old when producing a source diff. Saves
    tons of space in the diff file.
  * Had to add some hacks to ths shlib creation algorithm to prevent
    lintian moaning that there were duplicate entries. I am not
    100% certain that my fix is proper shlib format information, so
    if you have subsequent problems working out automatic shlib
    dependences let me know.

 -- Gordon Russell <gor@debian.org>  Thu, 29 Mar 2001 13:31:33 +0100

blt (2.4u-1) unstable; urgency=high

  * removed blt8.0 from the package collection. The various library
    dependencies are handled automatically by BLT now.
  * New upstream release 2.4u.
    (closes: #69015)
  * moods needs a BLT compatible with tk8.3 (a critical bug),
    so I need to release
    a new version. This is also a new upstream version of BLT. It promices
    eventual support of tcl stubs, which will allow blt to be compatible to
    any version of tcl beyond 8.3 without having to have separate libraries.
    In the meantime we will just have to use the script provided for Debian
    which dynamically loads in the correct version at run-time.
    This is a complicated package so please test this on your own applications.
    (closes: #89520)
  * BLT upstream support for stubs is comming soon (next release apparently),
    but will apparently be for tcl8.3 and above. The problem requiring
    stub support is tackled in this release in a different way, and stubs will
    be added afterwards.
    (closes: #61946)


 -- Gordon Russell <gor@debian.org>  Wed, 14 Mar 2001 09:20:12 +0000

blt (2.4o-1) unstable; urgency=low

  * New upstead version
  * Some updates got wrongly inserted into an older version of blt. This
    release brings everything up to date.
  * Added in support for a tcl/tk 8.3 library build. However, blt does not
    work with 8.3 yet, and will simply generate a library error at run-time.
    However, this addition will at least prevent blt programs core-dumping due to
    accidentally using 8.3.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 15 Mar 2000 11:34:58 +0000

blt (2.4n-1) unstable; urgency=low

  * New upstream version.
    New way using TCL_EXEC_PREFIX to find the tk/tcl 8.0 build hack was needed.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri,  4 Feb 2000 13:17:12 +0000

blt (2.4m-2) unstable; urgency=low

  * There was once a package called blt8.0, which I used to manage. For some
    reason I thought that this would not be a problem. Unfortunately, if
    you still had that package and upgraded to the new blt8.0, things
    fall over. I am not sure if this fix will solve everything,  but it
    should help.
    (closes: #51132)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 24 Nov 1999 09:59:12 +0000

blt (2.4m-1) unstable; urgency=low

  * New upstream version.
  * Added in Build-Depends (standards-version 3.1.0.0)
  * Removed copyright, changelog, and README.Debian explicit stuff from
    debian/rules, as this is already done by debhelper routines.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  8 Nov 1999 11:20:47 +0000

blt (2.4l-2) unstable; urgency=low

  * blt-dev is still dependent on tk8.0-dev and tcl8.0-dev. This should have
    been tk8.2-dev and tcl8.2-dev. This version now uses package names
    blt8.0 and blt8.0-dev, so these packages no longer are replaced by
    blt and blt-dev.
  * Changed to debhelper from debstd (the rules file was just getting too
    complicated to understand).
  * added three new packages, blt-common, blt8.0 and blt8.0-dev.
    This was necessary as I have two conflicting requirements from
    package users
      - Link to the latest tk/tcl libraries (eg 8.2)
      - have a stable version of the blt library (eg link to tk/tcl 8.0)
    Linking to 8.2 has resulted in a much poorer blt environment filled
    with unexplained runtime bugs. Thus, blt8.0 and blt8.0-dev are
    identical to blt and blt-dev, but are linked to tk/tcl 8.0. The new
    packages are linked to the latest tk/tcl versions.
    blt8.0-dev conflicts with blt-dev. The common parts of packages
    blt8.0 and blt have been split out into blt-common. This makes for quite
    a lot of packages for blt... Sorry about that.

    If reliability is your keyword, change alternatives so that you always
    use wish8.0 and tclsh8.0 by default, and make sure you have tk/tcl8.0
    runtime libraries.

    Note that for library naming restrictions, libBLT.2.4.so.8.2 is linked
    with the latest tcl/tk libraries, while libBLT.2.4.so.8.0 is always linked
    to a stable tcl/tk 8.0 where everything seems to work. For development,
    libBLT8.0.so is a link to the blt linked to tk8.0, and libBLT8.2.so for
    tk8.2.
    (closes: #46920)
  * changed pkgIndex to select dynamically either blt for tk8.2 or 8.0
    depending on which wish was in use. Thus making the new library naming
    scheme invisible for scripts.
  * this package must have tk8.0, tk8.2, tcl8.0, tcl8.2, tk8.2-dev, tcl8.2-dev
    installed to build from source. tk8.0-dev and tcl8.0-dev are not required,
    and are instead emulated internally.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  2 Nov 1999 12:54:08 +0000

blt (2.4l-1) unstable; urgency=low

  * New upstream version.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  1 Nov 1999 14:42:51 +0000

blt (2.4j-2) unstable; urgency=low

  * Changed linkage from tk8.0 to 8.2
    (closes: #46670)
  * Added in the missing link from .so.2 to .so.2.4. Actually, it was there,
    but the script said major_version, rather than version_major.
    (closes: #46672)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  5 Oct 1999 10:34:40 +0100

blt (2.4j-1) unstable; urgency=low

  * New upstream version
  * Took the (now rather large) demo scripts out of blt-dev and into a new
    package (blt-demo)
  * bltwish now does not exist. Better to use wish, and then
    package require BLT (saves 610KBytes).
  * rules file updated, and new pre/post scripts inserted to handle /usr/doc
  * this is probably the last release before converting to tk8.2
  * first pass at using doc-dbase.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 28 Sep 1999 16:09:16 +0100

blt (2.4i-3) unstable; urgency=low

  * Forgot to update the /etc/alternatives to reflect that the man pages
    are in /usr/share/man.
    (closes: #44748)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 10 Sep 1999 10:42:54 +0100

blt (2.4i-2) unstable; urgency=low

  * Discovered that --force-overwrite is turned off during "unstable periods"
    to catch people doing what I did in 2.4i-1. Added the necessary fixes to
    debian/control.
    (closes: #44126)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon,  6 Sep 1999 13:18:48 +0100

blt (2.4i-1) unstable; urgency=low

  * New upstream version (2.4i)
  * /usr/lib/blt2.4/tclIndex moved from blt-dev to blt
    (closes: #43336)
  * Library properly renamed from libBLT24.so to libBLT.so.2.4
    (closes: #43333,#43164)
  * static library moved from blt to blt-dev package
  * unfortunately all these changes mean that you must use --force-overwrite
    to update the packages (there are cross-overwrites)

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 31 Aug 1999 09:33:05 +0100

blt (2.4h-2) unstable; urgency=low

  * Removed "task" which was a silly little file floating around in the
    source directory which I created accidentally...

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 21 May 1999 14:58:23 +0100

blt (2.4h-1) unstable; urgency=low

  * Welcome to a new release of blt, under the blt package name, rather
    than all that silly blt8.0/blt4.2 package naming. Hope this makes
    things much easier to understand...

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Fri, 21 May 1999 08:23:13 +0100

blt8.0 (2.4f-3) unstable; urgency=low

  * Bug #26652 - Added a conflict for blt8.0-unoff.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Mon, 14 Sep 1998 10:39:11 +0100

blt8.0 (2.4f-2) unstable; urgency=low

  * Due to complexities in managing the possibility of both blt4.2 and blt8.0
    being present simultaneously, I have changed the blt8.0 approach so that
    only blt8.0+ will provide BLT2.4f and beyond. Hopefully, blt4.2 will
    quietly be dropped. This makes the control file simpler.
  * David Engel has made some comments which have been encorporated in this
    release:
       o only blt8.0 will use libBLT.so.2.4 and beyond.
       o the /usr/lib/blt2.4 directory is needed in blt8.0, although
         the demo scripts remain in blt8.0-dev
       o bltwish is provided as both bltwish and bltwish2.4, for consistency
         with other distributions.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 10 Sep 1998 14:28:10 +0100

blt8.0 (2.4f-1) unstable; urgency=low

  * Initial release

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue,  8 Sep 1998 14:19:08 +0100
